module.exports = {
  en: [
    ['Home', 'about-appium/intro.md'],
    ['About', ['about-appium',
      ['Introduction', 'intro.md'],
      ['The Appium Clients', 'appium-clients.md'],
      ['Getting Started', 'getting-started.md'],
      ['Supported Platforms', 'platform-support.md'],
      ['API Documentation', 'api.md'],
    ]],
    ['Drivers', ['drivers',
      ['XCUITest (iOS)', 'ios-xcuitest.md'],
      ['XCUITest Real Devices (iOS)', 'ios-xcuitest-real-devices.md'],
      ['UIAutomation (iOS)', 'ios-uiautomation.md'],
      ['UIAutomation Safari Launcher (iOS)', 'ios-uiautomation-safari-launcher.md'],
      ['UIAutomator (Android)', 'android-uiautomator.md'],
      ['UIAutomator2 (Android)', 'android-uiautomator2.md'],
      ['Espresso (Android)', 'android-espresso.md'],
      ['Windows', 'windows.md'],
      ['Mac', 'mac.md'],
    ]],
    ['Commands', ['commands',
      ['Status', 'status.md'],
      ['Execute Mobile Command', 'mobile-command.md'],
      ['Session', ['session',
        ['Create', 'create.md'],
        ['End', 'delete.md'],
        ['Get Session Capabilities', 'get.md'],
        ['Go Back', 'back.md'],
        ['Screenshot', 'screenshot.md'],
        ['Source', 'source.md'],
        ['Timeouts', ['timeouts',
          ['Timeouts', 'timeouts.md'],
          ['Implicit Wait', 'implicit-wait.md'],
          ['Async Script', 'async-script.md'],
        ]],
        ['Orientation', ['orientation',
          ['Get Orientation', 'get-orientation.md'],
          ['Set Orientation', 'set-orientation.md'],
        ]],
        ['Geolocation', ['geolocation',
          ['Get Geolocation', 'get-geolocation.md'],
          ['Set Geolocation', 'set-geolocation.md'],
        ]],
        ['Logs', ['logs',
          ['Get Log Types', 'get-log-types.md'],
          ['Get Logs', 'get-log.md'],
        ]],
        ['Settings', ['settings',
          ['Update Settings', 'update-settings.md'],
          ['Get Device Settings', 'get-settings.md'],
        ]],
      ]],
      ['Device', ['device',
        ['Activity', ['activity',
          ['Start Activity', 'start-activity.md'],
          ['Current Activity', 'current-activity.md'],
          ['Current Package', 'current-package.md'],
        ]],
        ['App', ['app',
          ['Install App', 'install-app.md'],
          ['Is App Installed', 'is-app-installed.md'],
          ['Launch App', 'launch-app.md'],
          ['Background App', 'background-app.md'],
          ['Close App', 'close-app.md'],
          ['Reset App', 'reset-app.md'],
          ['Remove App', 'remove-app.md'],
          ['Activate App', 'activate-app.md'],
          ['Terminate App', 'terminate-app.md'],
          ['Get App State', 'app-state.md'],
          ['Get App Strings', 'get-app-strings.md'],
          ['End Test Coverage', 'end-test-coverage.md'],
        ]],
        ['Clipboard', ['clipboard',
          ['Get Clipboard', 'get-clipboard.md'],
          ['Set Clipboard', 'set-clipboard.md'],
        ]],
        ['Emulator', ['emulator',
          ['Power AC', 'power_ac.md'],
          ['Power Capacity', 'power_capacity.md'],
        ]],
        ['Files', ['files',
          ['Push File', 'push-file.md'],
          ['Pull File', 'pull-file.md'],
          ['Pull Folder', 'pull-folder.md'],
        ]],
        ['Interactions', ['interactions',
          ['Shake', 'shake.md'],
          ['Lock', 'lock.md'],
          ['Unlock', 'unlock.md'],
          ['Is Locked', 'is-locked.md'],
          ['Rotate', 'rotate.md'],
        ]],
        ['Keys', ['keys',
          ['Press keycode', 'press-keycode.md'],
          ['Long press keycode', 'long-press-keycode.md'],
          ['Hide Keyboard', 'hide-keyboard.md'],
          ['Is Keyboard Shown', 'is-keyboard-shown.md'],
        ]],
        ['Network', ['network',
          ['Toggle Airplane Mode', 'toggle-airplane-mode.md'],
          ['Toggle Data', 'toggle-data.md'],
          ['Toggle WiFi', 'toggle-wifi.md'],
          ['Toggle Location Services', 'toggle-location-services.md'],
          ['Send SMS', 'send-sms.md'],
          ['GSM Call', 'gsm-call.md'],
          ['GSM Signal', 'gsm-signal.md'],
          ['GSM Voice', 'gsm-voice.md'],
          ['Network Speed', 'network-speed.md'],
        ]],
        ['Performance Data', ['performance-data',
          ['Get Performance Data', 'get-performance-data.md'],
          ['Performance Data Types', 'performance-data-types.md'],
        ]],
        ['Screen Recording', ['recording-screen',
          ['Start Screen Recording', 'start-recording-screen.md'],
          ['Stop Screen Recording', 'stop-recording-screen.md'],
        ]],
        ['Simulator', ['simulator',
          ['Perform Touch ID', 'touch-id.md'],
          ['Toggle Touch ID Enrollment', 'toggle-touch-id-enrollment.md'],
        ]],
        ['System', ['system',
          ['Open Notifications', 'open-notifications.md'],
          ['System Bars', 'system-bars.md'],
          ['System Time', 'system-time.md'],
          ['Display density', 'display-density.md'],
        ]],
        ['Authentication', ['authentication',
          ['Finger Print', 'finger-print.md'],
        ]],
      ]],
      ['Element', ['element',
        ['Find Element', 'find-element.md'],
        ['Find Elements', 'find-elements.md'],
        ['Actions', ['actions',
          ['Click', 'click.md'],
          ['Send Keys', 'send-keys.md'],
          ['Clear', 'clear.md'],
        ]],
        ['Attributes', ['attributes',
          ['Text', 'text.md'],
          ['Name', 'name.md'],
          ['Attribute', 'attribute.md'],
          ['Selected', 'selected.md'],
          ['Enabled', 'enabled.md'],
          ['Displayed', 'displayed.md'],
          ['Location', 'location.md'],
          ['Size', 'size.md'],
          ['Rect', 'rect.md'],
          ['CSS Property', 'css-property.md'],
          ['Location in View', 'location-in-view.md'],
        ]],
        ['Other', ['other',
          ['Submit', 'submit.md'],
          ['Active Element', 'active.md'],
          ['Equals Element', 'equals-element.md'],
        ]]
      ]],
      ['Context', ['context',
        ['Get Context', 'get-context.md'],
        ['Get All Contexts', 'get-contexts.md'],
        ['Set Context', 'set-context.md'],
      ]],
      ['Interactions', ['interactions',
        ['Mouse', ['mouse',
          ['Move To', 'moveto.md'],
          ['Click', 'click.md'],
          ['Double Click', 'doubleclick.md'],
          ['Button Down', 'button-down.md'],
          ['Button Up', 'button-up.md'],
        ]],
        ['Touch', ['touch',
          ['Single Tap', 'tap.md'],
          ['Double Tap', 'double-tap.md'],
          ['Move', 'move.md'],
          ['Touch Down', 'touch-down.md'],
          ['Touch Up', 'touch-up.md'],
          ['Long Press', 'long-press.md'],
          ['Scroll', 'scroll.md'],
          ['Flick', 'flick.md'],
          ['Multi Touch Perform', 'multi-touch-perform.md'],
          ['Touch Perform', 'touch-perform.md'],
        ]],
        ['W3C Actions', 'actions.md'],
      ]],
      ['Web', ['web',
        ['Window', ['window',
          ['Set Window', 'set-window.md'],
          ['Close Window', 'close-window.md'],
          ['Get Handle', 'get-handle.md'],
          ['Get Handles', 'get-handles.md'],
          ['Get Title', 'title.md'],
          ['Get Window Size', 'get-window-size.md'],
          ['Set Window Size', 'set-window-size.md'],
          ['Get Window Position', 'get-window-position.md'],
          ['Set Window Position', 'set-window-position.md'],
          ['Maximize Window', 'maximize-window.md'],
        ]],
        ['Navigation', ['navigation',
          ['Go to URL', 'go-to-url.md'],
          ['Get URL', 'url.md'],
          ['Back', 'back.md'],
          ['Forward', 'forward.md'],
          ['Refresh', 'refresh.md'],
        ]],
        ['Storage', ['storage',
          ['Get All Cookies', 'get-all-cookies.md'],
          ['Set Cookie', 'set-cookie.md'],
          ['Delete Cookie', 'delete-cookie.md'],
          ['Delete All Cookies', 'delete-all-cookies.md'],
        ]],
        ['Frame', ['frame',
          ['Switch to Frame', 'switch.md'],
          ['Switch to Parent Frame', 'parent.md'],
        ]],
        ['Execute Async', 'execute-async.md'],
        ['Execute', 'execute.md'],
      ]],
    ]],
    ['Writing & Running Tests', ['writing-running-appium',
      ['Running Tests', 'running-tests.md'],
      ['Desired Capabilities', 'caps.md'],
      ['The --default-capabilities flag', 'default-capabilities-arg.md'],
      ['Finding Elements', 'finding-elements.md'],
      ['Touch Actions', 'touch-actions.md'],
      ['CLI Arguments', 'server-args.md'],
      ['Server Security', 'security.md'],
      ['Web/Web Views', ['web',
        ['Mobile Web Testing', 'mobile-web.md'],
        ['Automating Hybrid Apps', 'hybrid.md'],
        ['Using ios-webkit-debug-proxy', 'ios-webkit-debug-proxy.md'],
        ['Using Chromedriver', 'chromedriver.md'],
      ]],
      ['Image Comparison', 'image-comparison.md'],
      ['iOS', ['ios',
        ['XCUITest Mobile Gestures', 'ios-xctest-mobile-gestures.md'],
        ['XCUITest Mobile App Management', 'ios-xctest-mobile-apps-management.md'],
        ['iOS Pasteboard Guide', 'ios-xctest-pasteboard.md'],
        ['iOS Predicate Guide', 'ios-predicate.md'],
        ['iOS Touch ID Guide', 'ios-touch-id.md'],
        ['iOS Install Certificate', 'ios-xctest-install-certificate.md'],
        ['tvOS support', 'ios-tvos.md'],
        ['Pushing/Pulling files', 'ios-xctest-file-movement.md'],
      ]],
      ['Android', ['android',
        ['UiSelector Guide', 'uiautomator-uiselector.md'],
        ['Espresso Datamatcher Guide', 'espresso-datamatcher-selector.md'],
        ['Android Code Coverage Guide', 'android-coverage.md'],
        ['Activities Startup Troubleshooting Guide', 'activity-startup.md'],
        ['How To Execute Shell Commands On The Remote Device', 'android-shell.md'],
        ['How To Emulate IME Actions Generation', 'android-ime.md'],
        ['How To Test Android App Bundle', 'android-appbundle.md']
      ]],
      ['Other', ['other',
        ['Reset Strategies', 'reset-strategies.md'],
        ['Network Connection Guide', 'network-connection.md'],
        ['Using Unicode with Appium', 'unicode.md'],
        ['Troubleshooting', 'troubleshooting.md']
      ]],
    ]],
    ['Advanced', ['advanced-concepts',
      ['Finding Image Elements', 'image-elements.md'],
      ['Using Element Finding Plugins', 'element-finding-plugins.md'],
      ['Migrating to XCUITest', 'migrating-to-xcuitest.md'],
      ['Using Selenium Grid with Appium', 'grid.md'],
      ['Cross-domain iframes', 'cross-domain-iframes.md'],
      ['Using a custom WDA server', 'wda-custom-server.md'],
      ['Running with multiple versions of Xcode', 'multiple-xcode-versions.md'],
      ['The Event Timings API', 'event-timings.md'],
      ['Setup for Parallel Testing', 'parallel-tests.md'],
      ['The Settings API', 'settings.md'],
      ['Memory Collection', 'memory-collection.md']]],
    ['Contributing', ['contributing-to-appium',
      ['Running Appium from Source', 'appium-from-source.md'],
      ['Developer Overview', 'developers-overview.md'],
      ['Standard Dev Commands', 'dev-tools.md'],
      ['Appium Style Guide', 'style-guide.md'],
      ['How to Write Docs', 'how-to-write-docs.md'],
      ['Appium Package Structure', 'appium-packages.md'],
      ['Credits', 'credits.md']]]
  ], 'cn': [
    ['关于', ['about-appium',
      ['简介', 'intro.md'],
      ['Appium 客户端', 'appium-clients.md'],
      ['入门指南', 'getting-started.md'],
      ['已支持的平台', 'platform-support.md'],
      ['API 文档', 'api.md'],
    ]],
    ['驱动程序', ['drivers',
      ['XCUITest (iOS)', 'ios-xcuitest.md'],
      ['XCUITest Real Devices (iOS)', 'ios-xcuitest-real-devices.md'],
      ['UIAutomation (iOS)', 'ios-uiautomation.md'],
      ['UIAutomation Safari Launcher (iOS)', 'ios-uiautomation-safari-launcher.md'],
      ['UIAutomator (Android)', 'android-uiautomator.md'],
      ['UIAutomator2 (Android)', 'android-uiautomator2.md'],
      ['Espresso (Android)', 'android-espresso.md'],
      ['Windows', 'windows.md'],
      ['Mac', 'mac.md'],
    ]],
    ['编写 & 运行测试', ['writing-running-appium',
      ['运行测试', 'running-tests.md'],
      ['预期功能', 'caps.md'],
      ['--default-capabilities 标识', 'default-capabilities-arg.md'],
      ['寻找元素', 'finding-elements.md'],
      ['触控操作', 'touch-actions.md'],
      ['命令行参数', 'server-args.md'],
      ['Web / Web 视图', ['web',
        ['自动化 Web 测试', 'mobile-web.md'],
        ['自动化混合应用', 'hybrid.md'],
        ['使用 ios-webkit-debug-proxy', 'ios-webkit-debug-proxy.md'],
        ['使用 Chromedriver', 'chromedriver.md'],
      ]],
      ['iOS', ['ios',
        ['XCUITest 移动手势', 'ios-xctest-mobile-gestures.md'],
        ['XCUITest 移动应用管理', 'ios-xctest-mobile-apps-management.md'],
        ['iOS 粘贴板指南', 'ios-xctest-pasteboard.md'],
        ['iOS 谓词（Predicate）指南', 'ios-predicate.md'],
        ['iOS Touch ID 指南', 'ios-touch-id.md'],
        ['iOS 安装证书', 'ios-xctest-install-certificate.md'],
        ['tvOS 支持', 'ios-tvos.md'],
      ]],
      ['Android', ['android',
        ['UiSelector 指南', 'uiautomator-uiselector.md'],
        ['Espresso Datamatcher 指南', 'espresso-datamatcher-selector.md'],
        ['Android 代码覆盖指南', 'android-coverage.md'],
        ['Activities 启动障碍排斥指南', 'activity-startup.md'],
        ['如何在远程设备上执行 Shell 命令', 'android-shell.md'],
        ['如何模拟生成 IME 行为', 'android-ime.md'],
        ['如何测试 Android 应用程序包', 'android-appbundle.md']
      ]],
      ['其他', ['other',
        ['重置策略', 'reset-strategies.md'],
        ['网络连接指南', 'network-connection.md'],
        ['在 Appium 中使用 Unicode', 'unicode.md'],
        ['故障排除', 'troubleshooting.md']
      ]],
    ]],
    ['进阶', ['advanced-concepts',
      ['定位图像中的元素', 'image-elements.md'],
      ['用于定位元素的插件', 'element-finding-plugins.md'],
      ['迁移到 XCUITest', 'migrating-to-xcuitest.md'],
      ['在 Appium 中使用 Selenium Grid', 'grid.md'],
      ['跨域 iframes', 'cross-domain-iframes.md'],
      ['使用自定义 WDA 服务器', 'wda-custom-server.md'],
      ['使用指定版本的 Xcode 运行', 'multiple-xcode-versions.md'],
      ['Event Timings API', 'event-timings.md'],
      ['并行测试的设置', 'parallel-tests.md'],
      ['Settings API', 'settings.md'],
      ['内存转储', 'memory-collection.md']]],
    ['捐赠', ['contributing-to-appium',
      ['从源代码运行 Appium', 'appium-from-source.md'],
      ['开发者概述', 'developers-overview.md'],
      ['标准开发命令', 'dev-tools.md'],
      ['Appium 风格指南', 'style-guide.md'],
      ['如何编写文档', 'how-to-write-docs.md'],
      ['Appium 包结构', 'appium-packages.md'],
      ['鸣谢', 'credits.md']]]
  ]
};
